Support google drive backend

Bug #991413 reported by Tom Hughes
148
This bug affects 27 people
Affects Status Importance Assigned to Milestone
Déjà Dup
Wishlist
Unassigned

Bug Description

It would be nice to be able to use Google Drive as a backup backend.

API: https://developers.google.com/drive/v1/reference/
SDK: https://developers.google.com/drive/downloads

Related branches

Michael Terry (mterry)
Changed in deja-dup:
importance: Undecided → Wishlist
status: New → Confirmed
Revision history for this message
Lars J. (aladin) wrote :

Would the implementation of this proposal violate some terms of service of Google drive? If not I could implement this feature (Duplicity already support Google Docs).

Revision history for this message
GothAck (gothack) wrote :

I believe the Google TOS are quite open, and it's a published API for storing files within the space provided.

See https://bugs.launchpad.net/deja-dup/+bug/928114

Revision history for this message
k0ryfi (k0ryfi) wrote :

This would be especially helpful now that Ubuntu One support is stopping on June 1st.

Revision history for this message
Jonathon Conte (thesicktwist) wrote :

Having a specific option for Google Drive/Docs in Déjá Dup would be nice but even better would be if Déjá Dup allowed the user to enter any arbitary backend that Duplicity *already* supports. For example, one should be able to enter any of Duplicity's supported URIs in Déjá Dup's "Custom Location" URI field. Unfortunately, this doesn't seem to work at the moment. If I try using Duplicity's URI for Google Drive with Déjá Dup's "Custom Location", I get an error "Backup failed - Location is not mountable."

Revision history for this message
Jonathon Conte (thesicktwist) wrote :

Also, it seems that someone already created a branch with support for Google Drive. Would be great to see this merged.

https://code.launchpad.net/~aladin/deja-dup/google-drive-support

Revision history for this message
Michael Terry (mterry) wrote :

I am definitely more interested in this now that Ubuntu One is shutting down. When I have more time, I'll look at this.

Revision history for this message
Helio Neto (remiariro) wrote :

I truly believe that for almost all of Ubuntu users integration with U1 was the most important reason to use Déjà Dup. Ability to backup using free (as in beer) cloud services is something essential for an os-default backup application.

> For example, one should be able to enter any of Duplicity's supported
> URIs in Déjá Dup's "Custom Location" URI field. Unfortunately, this doesn't
> seem to work at the moment.

I know that the "Custom Location" field is hardcoded to pre-assume a gvfs URI. But is there anything that otherwise prevents using any URI supported by Duplicity, if code is changed to simply pass that on to Duplicity's command line?

Michael Terry (mterry)
Changed in deja-dup:
status: Confirmed → Fix Committed
Revision history for this message
Nathaniel W. Turner (nturner) wrote :

Looks like this was disabled in http://bazaar.launchpad.net/~deja-dup-hackers/deja-dup/34/revision/1541 --- can this issue perhaps be reopened and linked to the corresponding duplicity bug that blocks it?

Revision history for this message
Antti Ahti (apaatsio) wrote :

What's the status of this? I can't get this to work (deja-dup 34.0)

I'm trying with Custom Location gdocs://username:<email address hidden>/Backup (with real username and password, of course). I'm getting "Location is not mountable" error when I try to do a backup.

Revision history for this message
Michael Terry (mterry) wrote :

This is close to finally being enabled. It will use credentials from GNOME Online Accounts. There are a few bugs in duplicity and gvfs that I'm waiting to have releases for. And then I'll uncomment the google drive support in deja dup.

I know it's been a long wait.

Revision history for this message
Michael Terry (mterry) wrote :

A quick update on this. Support has been enabled in git master. I've also made Google Drive the default backend for new users, as it is the most user-friendly cloud backend we support now.

https://git.launchpad.net/deja-dup/commit/?id=710de7ae0514acca9c252bb8513ba8f2f26aec01

This will be included with Deja Dup 37.x/38.0 (so you'll see it in Ubuntu 18.04 or similarly timed distros). Unfortunately duplicity 0.7.14 and the necessary gvfs fixes were released too late to get this into Deja Dup 36.0 (which will be in Ubuntu 17.10).

Revision history for this message
Michael Terry (mterry) wrote :

Released in 37.0

Changed in deja-dup:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions